summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/Makefile.am2
-rwxr-xr-xtests/soname.sh11
2 files changed, 11 insertions, 2 deletions
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 190212c..284eb80 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -94,7 +94,7 @@ libbar_scoped_so_SOURCES = bar.c
libbar_scoped_so_LDFLAGS = $(LDFLAGS_sharedlib)
libsimple_so_SOURCES = simple.c
-libsimple_so_LDFLAGS = $(LDFLAGS_sharedlib) -Wl,-soname,libsimple.so.1.0
+libsimple_so_LDFLAGS = $(LDFLAGS_sharedlib)
no_rpath_SOURCES = no-rpath.c
# no -fpic for no-rpath.o
diff --git a/tests/soname.sh b/tests/soname.sh
index f81e8ed..4a8fb96 100755
--- a/tests/soname.sh
+++ b/tests/soname.sh
@@ -6,13 +6,22 @@ mkdir -p ${SCRATCH}
cp libsimple.so ${SCRATCH}/
-# print and set DT_SONAME
+# set an initial DT_SONAME entry
+../src/patchelf --set-soname libsimple.so.1.0 ${SCRATCH}/libsimple.so
+newSoname=$(../src/patchelf --print-soname ${SCRATCH}/libsimple.so)
+if test "$newSoname" != libsimple.so.1.0; then
+ echo "failed --set-soname test. Expected newSoname: libsimple.so.1.0, got: $newSoname"
+ exit 1
+fi
+
+# print DT_SONAME
soname=$(../src/patchelf --print-soname ${SCRATCH}/libsimple.so)
if test "$soname" != libsimple.so.1.0; then
echo "failed --print-soname test. Expected soname: libsimple.so.1.0, got: $soname"
exit 1
fi
+# replace DT_SONAME entry
../src/patchelf --set-soname libsimple.so.1.1 ${SCRATCH}/libsimple.so
newSoname=$(../src/patchelf --print-soname ${SCRATCH}/libsimple.so)
if test "$newSoname" != libsimple.so.1.1; then